package e2e

import (
	"fmt"
	"testing"
)

/*
 	进行简单的chaincode invoke,query sample

*/
func TestCcQuery(t *testing.T) {
	result := CcQuery(MyccID,"query",MydefaultQueryArgs)
	fmt.Println(string(result))
}

func TestCcInvoke(t *testing.T) {
	result := CcInvoke(MyccID,"invoke",MydefaultexecuteArgs)
	fmt.Println(string(result))
}


func TestQueryBlockByHeight(t *testing.T) {
	QueryBlockByHeight()
}

/*
	createCC 我们分为两步
	1：其中第一步install,在这一步我们需要明白，他链接的peer,是根据我们传递的Orgname,来从配置文件中检索的，这个就和我们以前根据，channelName 下的peer链接不同
	2：第二步 instantiate 阶段，他的peer 链接又回到了，链接channelName 下的peer
所以我们在执行安装实例化链码时，最好分为两步进行操作
*/
func TestCcCreate(t *testing.T){
	CcCreate()
}

/*
	开发目标
    1：分装出三个方法
		1：install,实现配置参数可以控制
			可控参数：orgName,user,version,ccName,ccpath,and peerfilter
		2：instantiate 同样实现参数可以配置，policy 暂时不做
		3：实现upgrade 操作。  这里需要说明一下我们的upgrade 操作与install 一样

*/

func TestInstallCc(t *testing.T){
	userName := "Admin"
	orgName:= "Org1"
	//chaincodePath:="github.com/example_cc"
	//goPath := "/opt/gopath/src/github.com/fabric-sdk-sample/fabric-sdk-go/test/fixtures/testdata/src"
	chaincodePath:="github.com/gongxianghui_auth"
	goPath:= "/opt/gopath/src/github.com/hyperledger/chaincode"
	//peerFilter := &PeerFilter{URl:[]string{"39.98.194.244:7151"}}
	ccID:="gongxianghui_auth"
	version:= "2.0"
	installCc(userName,orgName,chaincodePath,goPath,ccID,version,nil)
}

func TestInstantiateCc(t *testing.T){
	userName := "Admin"
	orgName:= "Org1"
	//chaincodePath:="github.com/example_cc"
	//goPath := "/opt/gopath/src/github.com/fabric-sdk-sample/fabric-sdk-go/test/fixtures/testdata/src"
	chaincodePath:="github.com/gongxianghui_auth"
	//goPath:= "/opt/gopath/src/github.com/hyperledger/chaincode"
	//peerFilter := &PeerFilter{URl:[]string{"39.98.194.244:7251"}}
	ccID:="gongxianghui_auth"
	version:= "2.0"
	instantiateCc(userName,orgName,chaincodePath,ccID,version,nil,nil,nil)
}

func TestUpgradeCc(t *testing.T){
	userName := "Admin"
	orgName:= "Org1"
	chaincodePath:="github.com/gongxianghui_auth"
	//goPath:= "/opt/gopath/src/github.com/hyperledger/chaincode"
	//peerFilter := &PeerFilter{URl:[]string{"39.98.194.244:7251"}}
	ccID:="gongxianghui_auth"
	version:= "2.0"
	upgradeCc(userName,orgName,chaincodePath,ccID,version,nil,nil,nil)
}