// Code generated by protoc-gen-go. DO NOT EDIT.
// source: orderer/etcdraft/metadata.proto

package etcdraft

import (
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// BlockMetadata stores data used by the Raft OSNs when
// coordinating with each other, to be serialized into
// block meta dta field and used after failres and restarts.
type BlockMetadata struct {
	// Maintains a mapping between the cluster's OSNs
	// and their Raft IDs.
	ConsenterIds []uint64 `protobuf:"varint,1,rep,packed,name=consenter_ids,json=consenterIds,proto3" json:"consenter_ids,omitempty"`
	// Carries the Raft ID value that will be assigned
	// to the next OSN that will join this cluster.
	NextConsenterId uint64 `protobuf:"varint,2,opt,name=next_consenter_id,json=nextConsenterId,proto3" json:"next_consenter_id,omitempty"`
	// Index of etcd/raft entry for current block.
	RaftIndex            uint64   `protobuf:"varint,3,opt,name=raft_index,json=raftIndex,proto3" json:"raft_index,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *BlockMetadata) Reset()         { *m = BlockMetadata{} }
func (m *BlockMetadata) String() string { return proto.CompactTextString(m) }
func (*BlockMetadata) ProtoMessage()    {}
func (*BlockMetadata) Descriptor() ([]byte, []int) {
	return fileDescriptor_6d0323e5051228ea, []int{0}
}

func (m *BlockMetadata) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_BlockMetadata.Unmarshal(m, b)
}
func (m *BlockMetadata) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_BlockMetadata.Marshal(b, m, deterministic)
}
func (m *BlockMetadata) XXX_Merge(src proto.Message) {
	xxx_messageInfo_BlockMetadata.Merge(m, src)
}
func (m *BlockMetadata) XXX_Size() int {
	return xxx_messageInfo_BlockMetadata.Size(m)
}
func (m *BlockMetadata) XXX_DiscardUnknown() {
	xxx_messageInfo_BlockMetadata.DiscardUnknown(m)
}

var xxx_messageInfo_BlockMetadata proto.InternalMessageInfo

func (m *BlockMetadata) GetConsenterIds() []uint64 {
	if m != nil {
		return m.ConsenterIds
	}
	return nil
}

func (m *BlockMetadata) GetNextConsenterId() uint64 {
	if m != nil {
		return m.NextConsenterId
	}
	return 0
}

func (m *BlockMetadata) GetRaftIndex() uint64 {
	if m != nil {
		return m.RaftIndex
	}
	return 0
}

// ClusterMetadata encapsulates metadata that is exchanged among cluster nodes
type ClusterMetadata struct {
	// Indicates active nodes in cluster that are reacheable by Raft leader
	ActiveNodes          []uint64 `protobuf:"varint,1,rep,packed,name=active_nodes,json=activeNodes,proto3" json:"active_nodes,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ClusterMetadata) Reset()         { *m = ClusterMetadata{} }
func (m *ClusterMetadata) String() string { return proto.CompactTextString(m) }
func (*ClusterMetadata) ProtoMessage()    {}
func (*ClusterMetadata) Descriptor() ([]byte, []int) {
	return fileDescriptor_6d0323e5051228ea, []int{1}
}

func (m *ClusterMetadata) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ClusterMetadata.Unmarshal(m, b)
}
func (m *ClusterMetadata) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ClusterMetadata.Marshal(b, m, deterministic)
}
func (m *ClusterMetadata) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ClusterMetadata.Merge(m, src)
}
func (m *ClusterMetadata) XXX_Size() int {
	return xxx_messageInfo_ClusterMetadata.Size(m)
}
func (m *ClusterMetadata) XXX_DiscardUnknown() {
	xxx_messageInfo_ClusterMetadata.DiscardUnknown(m)
}

var xxx_messageInfo_ClusterMetadata proto.InternalMessageInfo

func (m *ClusterMetadata) GetActiveNodes() []uint64 {
	if m != nil {
		return m.ActiveNodes
	}
	return nil
}

func init() {
	proto.RegisterType((*BlockMetadata)(nil), "etcdraft.BlockMetadata")
	proto.RegisterType((*ClusterMetadata)(nil), "etcdraft.ClusterMetadata")
}

func init() { proto.RegisterFile("orderer/etcdraft/metadata.proto", fileDescriptor_6d0323e5051228ea) }

var fileDescriptor_6d0323e5051228ea = []byte{
	// 244 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x5c, 0x90, 0xbf, 0x4f, 0x32, 0x41,
	0x10, 0x86, 0xc3, 0x07, 0xf9, 0xa2, 0x23, 0x84, 0x78, 0xd5, 0x35, 0x46, 0xc4, 0x86, 0x98, 0xb0,
	0x5b, 0x68, 0x61, 0x0d, 0x15, 0x85, 0x16, 0x94, 0x36, 0x97, 0xbd, 0xdd, 0xe1, 0x58, 0x3d, 0x76,
	0xc8, 0xec, 0x60, 0xb0, 0xf2, 0x5f, 0x37, 0xcb, 0x71, 0x48, 0x6c, 0x9f, 0xf7, 0x79, 0x33, 0x3f,
	0xe0, 0x96, 0xd8, 0x21, 0x23, 0x6b, 0x14, 0xeb, 0xd8, 0xac, 0x44, 0x6f, 0x50, 0x8c, 0x33, 0x62,
	0xd4, 0x96, 0x49, 0x28, 0xbb, 0x68, 0x83, 0xf1, 0x37, 0x0c, 0x66, 0x35, 0xd9, 0x8f, 0x97, 0xa3,
	0x90, 0xdd, 0xc3, 0xc0, 0x52, 0x88, 0x18, 0x04, 0xb9, 0xf0, 0x2e, 0xe6, 0x9d, 0x51, 0x77, 0xd2,
	0x5b, 0xf6, 0x4f, 0x70, 0xe1, 0x62, 0xf6, 0x00, 0xd7, 0x01, 0xf7, 0x52, 0x9c, 0x9b, 0xf9, 0xbf,
	0x51, 0x67, 0xd2, 0x5b, 0x0e, 0x53, 0x30, 0xff, 0x95, 0xb3, 0x1b, 0x80, 0x34, 0xa9, 0xf0, 0xc1,
	0xe1, 0x3e, 0xef, 0x1e, 0xa4, 0xcb, 0x44, 0x16, 0x09, 0x8c, 0x9f, 0x60, 0x38, 0xaf, 0x77, 0x51,
	0x90, 0x4f, 0x2b, 0xdc, 0x41, 0xdf, 0x58, 0xf1, 0x9f, 0x58, 0x04, 0x72, 0xd8, 0x6e, 0x70, 0xd5,
	0xb0, 0xd7, 0x84, 0x66, 0xef, 0xa0, 0x88, 0x2b, 0xb5, 0xfe, 0xda, 0x22, 0xd7, 0xe8, 0x2a, 0x64,
	0xb5, 0x32, 0x25, 0x7b, 0xdb, 0x1c, 0x18, 0xd5, 0xf1, 0x03, 0xaa, 0x3d, 0xf4, 0xed, 0xb9, 0xf2,
	0xb2, 0xde, 0x95, 0xca, 0xd2, 0x46, 0x9f, 0xd5, 0x74, 0x53, 0x9b, 0x36, 0xb5, 0x69, 0x45, 0xfa,
	0xef, 0xef, 0xca, 0xff, 0x87, 0xec, 0xf1, 0x27, 0x00, 0x00, 0xff, 0xff, 0xcf, 0xbd, 0xfc, 0x44,
	0x56, 0x01, 0x00, 0x00,
}
